namespace Model
{
    using System;
    using System.Data.Entity;
    using System.ComponentModel.DataAnnotations.Schema;
    using System.Linq;

    public partial class HotelModel : DbContext
    {
        public HotelModel()
            : base("name=HotelModel")
        {
        }

        public virtual DbSet<Hotels> Hotels { get; set; }
        public virtual DbSet<Resezvations> Resezvations { get; set; }

        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            modelBuilder.Entity<Hotels>()
                .Property(e => e.Name)
                .IsFixedLength();

            modelBuilder.Entity<Hotels>()
                .Property(e => e.Email)
                .IsFixedLength();

            modelBuilder.Entity<Resezvations>()
                .Property(e => e.FirstName)
                .IsFixedLength();

            modelBuilder.Entity<Resezvations>()
                .Property(e => e.LastName)
                .IsFixedLength();
        }
    }
}
