using Model.Entities;

namespace Model
{
    using System;
    using System.Data.Entity;
    using System.Linq;

    public class CommonHotelApplicationModel : DbContext
    {
        // Your context has been configured to use a 'CommonHotelApplicationModel' connection string from your application's 
        // configuration file (App.config or Web.config). By default, this connection string targets the 
        // 'Model.CommonHotelApplicationModel' database on your LocalDb instance. 
        // 
        // If you wish to target a different database and/or database provider, modify the 'CommonHotelApplicationModel' 
        // connection string in the application configuration file.
        public CommonHotelApplicationModel()
            : base("name=CommonHotelApplicationModel")
        {
        }

        // Add a DbSet for each entity type that you want to include in your model. For more information 
        // on configuring and using a Code First model, see http://go.microsoft.com/fwlink/?LinkId=390109.

        // public virtual DbSet<MyEntity> MyEntities { get; set; }

        #region DbSets
        public virtual DbSet<User> Users { get; set; }
        public virtual DbSet<Role> Roles { get; set; }
        #endregion 
    }

    //public class MyEntity
    //{
    //    public int Id { get; set; }
    //    public string Name { get; set; }
    //}
}